﻿using Kivii.Finances.Seeyon.Entities;
using Kivii.Finances.Seeyon.Extensions;
using Kivii.Web;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Kivii.Finances.Seeyon
{
    public class OaDepartIncomeUpload : RestfulExecution<OaDepartIncome>
    {
        public List<OaDepartIncome> Items { get; set; }

        public string loginName { get; set; }

        public override object OnExecution(IRequest req, IResponse res)
        {
            var client = new JsonServiceClient(Configs.BaseUrl);
            var token = client.RequestRestToken(loginName);
            var reps = client.RequestUploadFormXml(Items, loginName, token);
            var rtns = new RestfulExecutionResponse<string>();
            rtns.Results = new List<string>();

            rtns.Results.Add(reps);
            return rtns;
        }
    }
}
